#!/bin/sh
CAMNAME="GCam EMU"

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/.gcam /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/gcam.* /tmp/*.gcam
}

case "$1" in
  start)
  echo "[SCRIPT] $1: $CAMNAME"
  remove_tmp
  touch /tmp/.emu.info
  /usr/bin/gcam &
  echo gcam > /tmp/.emu.info
  ;;
  stop)
  echo "[SCRIPT] $1: $CAMNAME"
  killall -9 gcam  2>/dev/null
  remove_tmp
  ;;
  restart)
  $0 stop
  sleep 2
  $0 start
  exit
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
