#!/bin/sh

#emuname=gcam 1.1
NAME=Gcam EMU
binfile=/usr/bin/gcam
#ecminfofile=ecm.info


remove_tmp () {
	rm -rf /tmp/*cccam* /tmp/camd.socket /tmp/pid.info /tmp/ecm*.info /tmp/cardinfo /tmp/*cam*.pid /tmp/cam.kill
}

case "$1" in
	start)
		echo "[SCRIPT] $1: $NAME"
		remove_tmp
		sleep 1
		$binfile &
		sleep 1
		pidof $binfile > /tmp/cam.pid
		;;
	stop)
		echo "[SCRIPT] $1: $NAME"
		kill 2>/dev/null `cat 2>/dev/null /tmp/cam.pid`
		sleep 1
		killall -9 $binfile 2>/dev/null
		sleep 1
		remove_tmp
		;;
	restart)
		echo "[SCRIPT] $1: $NAME"
		$0 stop
		sleep 1
		$0 start
		sleep 1
		;;
	*)
		$0 stop
		exit 1
		;;
esac

exit 0
